org.keycloak.broker.oidc

## Class OIDCIdentityProviderConfig

- java.lang.Object
- - org.keycloak.models.IdentityProviderModel
  - - org.keycloak.broker.oidc.OAuth2IdentityProviderConfig
    - - org.keycloak.broker.oidc.OIDCIdentityProviderConfig

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    FacebookIdentityProviderConfig, GoogleIdentityProviderConfig

      public class OIDCIdentityProviderConfig
      extends OAuth2IdentityProviderConfig

  Author:
    Pedro Igor
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `JWKS_URL`
    `static String` | `USE_JWKS_URL`
    `static String` | `VALIDATE_SIGNATURE`

    - ### Fields inherited from class org.keycloak.broker.oidc.OAuth2IdentityProviderConfig

      `PKCE_ENABLED, PKCE_METHOD`

    - ### Fields inherited from class org.keycloak.models.IdentityProviderModel

      `addReadTokenRoleOnCreate, ALLOWED_CLOCK_SKEW, HIDE_ON_LOGIN, linkOnly, LOGIN_HINT, SYNC_MODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OIDCIdentityProviderConfig()`
    `OIDCIdentityProviderConfig(IdentityProviderModel identityProviderModel)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAllowedClockSkew()`
    `String` | `getIssuer()`
    `String` | `getJwksUrl()`
    `String` | `getLogoutUrl()`
    `String` | `getPrompt()`
    `String` | `getPublicKeySignatureVerifier()`
    `String` | `getPublicKeySignatureVerifierKeyId()`
    `boolean` | `isBackchannelSupported()`
    `boolean` | `isDisableUserInfoService()`
    `boolean` | `isUseJwksUrl()`
    `boolean` | `isValidateSignature()`
    `void` | `setBackchannelSupported(boolean backchannel)`
    `void` | `setDisableUserInfoService(boolean disable)`
    `void` | `setIssuer(String issuer)`
    `void` | `setJwksUrl(String jwksUrl)`
    `void` | `setLogoutUrl(String url)`
    `void` | `setPrompt(String prompt)`
    `void` | `setPublicKeySignatureVerifier(String signingCertificate)`
    `void` | `setPublicKeySignatureVerifierKeyId(String publicKeySignatureVerifierKeyId)`
    `void` | `setUseJwksUrl(boolean useJwksUrl)`
    `void` | `setValidateSignature(boolean validateSignature)`
    `void` | `validate(RealmModel realm)` Validates this configuration.

    - ### Methods inherited from class org.keycloak.broker.oidc.OAuth2IdentityProviderConfig

      `getAuthorizationUrl, getClientAssertionSigningAlg, getClientAuthMethod, getClientId, getClientSecret, getDefaultScope, getForwardParameters, getPkceMethod, getTokenUrl, getUserInfoUrl, isBasicAuthentication, isJWTAuthentication, isPkceEnabled, isUiLocales, setAuthorizationUrl, setClientAssertionSigningAlg, setClientAuthMethod, setClientId, setClientSecret, setDefaultScope, setForwardParameters, setPkceEnabled, setPkceMethod, setTokenUrl, setUiLocales, setUserInfoUrl`

    - ### Methods inherited from class org.keycloak.models.IdentityProviderModel

      `getAlias, getConfig, getDisplayName, getFirstBrokerLoginFlowId, getInternalId, getPostBrokerLoginFlowId, getProviderId, getSyncMode, isAddReadTokenRoleOnCreate, isAuthenticateByDefault, isEnabled, isHideOnLogin, isLinkOnly, isLoginHint, isStoreToken, isTrustEmail, setAddReadTokenRoleOnCreate, setAlias, setAuthenticateByDefault, setConfig, setDisplayName, setEnabled, setFirstBrokerLoginFlowId, setHideOnLogin, setInternalId, setLinkOnly, setLoginHint, setPostBrokerLoginFlowId, setProviderId, setStoreToken, setSyncMode, setTrustEmail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JWKS_URL

          public static final String JWKS_URL

      See Also:
        Constant Field Values

    - #### USE_JWKS_URL

          public static final String USE_JWKS_URL

      See Also:
        Constant Field Values

    - #### VALIDATE_SIGNATURE

          public static final String VALIDATE_SIGNATURE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OIDCIdentityProviderConfig

          public OIDCIdentityProviderConfig(IdentityProviderModel identityProviderModel)

    - #### OIDCIdentityProviderConfig

          public OIDCIdentityProviderConfig()

  - ### Method Detail

    - #### getPrompt

          public String getPrompt()

      Overrides:
        `getPrompt` in class `OAuth2IdentityProviderConfig`

    - #### setPrompt

          public void setPrompt(String prompt)

    - #### getIssuer

          public String getIssuer()

    - #### setIssuer

          public void setIssuer(String issuer)

    - #### getLogoutUrl

          public String getLogoutUrl()

    - #### setLogoutUrl

          public void setLogoutUrl(String url)

    - #### getPublicKeySignatureVerifier

          public String getPublicKeySignatureVerifier()

    - #### setPublicKeySignatureVerifier

          public void setPublicKeySignatureVerifier(String signingCertificate)

    - #### getPublicKeySignatureVerifierKeyId

          public String getPublicKeySignatureVerifierKeyId()

    - #### setPublicKeySignatureVerifierKeyId

          public void setPublicKeySignatureVerifierKeyId(String publicKeySignatureVerifierKeyId)

    - #### isValidateSignature

          public boolean isValidateSignature()

    - #### setValidateSignature

          public void setValidateSignature(boolean validateSignature)

    - #### isUseJwksUrl

          public boolean isUseJwksUrl()

    - #### setUseJwksUrl

          public void setUseJwksUrl(boolean useJwksUrl)

    - #### getJwksUrl

          public String getJwksUrl()

    - #### setJwksUrl

          public void setJwksUrl(String jwksUrl)

    - #### isBackchannelSupported

          public boolean isBackchannelSupported()

    - #### setBackchannelSupported

          public void setBackchannelSupported(boolean backchannel)

    - #### isDisableUserInfoService

          public boolean isDisableUserInfoService()

    - #### setDisableUserInfoService

          public void setDisableUserInfoService(boolean disable)

    - #### getAllowedClockSkew

          public int getAllowedClockSkew()

    - #### validate

          public void validate(RealmModel realm)

      Description copied from class: `IdentityProviderModel`

      Validates this configuration.

      Sub-classes can override this method in order to enforce provider specific validations.

      Overrides:
        `validate` in class `OAuth2IdentityProviderConfig`
      Parameters:
        `realm` - the realm

Copyright © 2021 JBoss by Red Hat. All rights reserved.